# Uses of Enum
org.eclipse.birt.chart.model.attribute.RiserType

Packages that use RiserType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of RiserType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type RiserType
Modifier and Type
Field
Description
`static final List<RiserType>`
RiserType.`VALUES`
A public read-only list of all the 'Riser Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return RiserType
Modifier and Type
Method
Description
`static RiserType`
RiserType.`get(int value)`
Returns the 'Riser Type' literal with the specified integer value.
`static RiserType`
RiserType.`get(String literal)`
Returns the 'Riser Type' literal with the specified literal value.
`static RiserType`
RiserType.`getByName(String name)`
Returns the 'Riser Type' literal with the specified name.
`static RiserType`
RiserType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RiserType[]`
RiserType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of RiserType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return RiserType
Modifier and Type
Method
Description
`RiserType`
AttributeFactoryImpl.`createRiserTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`RiserType`
AttributeFactoryImpl.`createRiserTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of RiserType in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return RiserType
Modifier and Type
Method
Description
`RiserType`
BarSeries.`getRiser()`
Returns the value of the 'Riser' attribute.
Methods in org.eclipse.birt.chart.model.type with parameters of type RiserType
Modifier and Type
Method
Description
`void`
BarSeries.`setRiser(RiserType value)`
Sets the value of the '`Riser`' attribute.

## Uses of RiserType in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return RiserType
Modifier and Type
Method
Description
`RiserType`
BarSeriesImpl.`getRiser()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type RiserType
Modifier and Type
Method
Description
`void`
BarSeriesImpl.`setRiser(RiserType newRiser)`